Skip to main content
POST
/
identify
cURL
curl --request POST \
  --url https://api.unifyintent.com/analytics/v1/identify \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "identify",
  "visitorId": "<string>",
  "timestamp": "2023-11-07T05:31:56Z",
  "context": {
    "library": {
      "name": "<string>",
      "version": "<string>"
    },
    "ip": "127.0.0.1",
    "locale": "<string>",
    "userAgent": "<string>",
    "userAgentData": {
      "brands": [
        {
          "brand": "<string>",
          "version": "<string>"
        }
      ],
      "mobile": true,
      "platform": "<string>"
    },
    "utm": {
      "source": "<string>",
      "medium": "<string>",
      "campaign": "<string>",
      "term": "<string>",
      "content": "<string>"
    }
  },
  "sessionId": "<string>",
  "sentAt": "2023-11-07T05:31:56Z",
  "traits": {
    "email": "<string>"
  },
  "company": {
    "domain": "<string>",
    "address": {
      "country": {
        "code": "AD",
        "name": "<string>"
      },
      "administrativeArea": "<string>",
      "subAdministrativeArea": "<string>",
      "locality": "<string>",
      "dependentLocality": "<string>",
      "postalCode": "<string>",
      "thoroughfare": "<string>",
      "premise": "<string>",
      "subPremise": "<string>"
    },
    "corporate_phone": "<string>",
    "description": "<string>",
    "do_not_contact": true,
    "employee_count": 123,
    "founded": "<string>",
    "industry": "<string>",
    "lead_source": "<string>",
    "linkedin_url": "<string>",
    "name": "<string>",
    "record_owner": {
      "object": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "revenue": {
      "code": "AED",
      "value": 123
    },
    "status": "<string>",
    "time_zone": "<string>"
  },
  "person": {
    "email": "jsmith@example.com",
    "address": {
      "country": {
        "code": "AD",
        "name": "<string>"
      },
      "administrativeArea": "<string>",
      "subAdministrativeArea": "<string>",
      "locality": "<string>",
      "dependentLocality": "<string>",
      "postalCode": "<string>",
      "thoroughfare": "<string>",
      "premise": "<string>",
      "subPremise": "<string>"
    },
    "corporate_phone": "<string>",
    "do_not_call": true,
    "do_not_email": true,
    "email_opt_out": true,
    "eu_resident": true,
    "first_name": "<string>",
    "last_name": "<string>",
    "lead_source": "<string>",
    "linkedin_url": "<string>",
    "mobile_phone": "<string>",
    "record_owner": {
      "object": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "status": "<string>",
    "title": "<string>",
    "work_phone": "<string>"
  }
}
'

Body

application/json

An identify event is used to send information about a visitor.

type
enum<string>
required

The type of analytics event being sent.

Available options:
identify
visitorId
string
required

Unique identifier for the visitor that triggered this event.

timestamp
string<date-time>
required

Timestamp of the event (in UTC).

context
object
required

Contextual information about the client behind the event.

sessionId
string

Unique identifier for the session in which this event occurred.

sentAt
string<date-time>

Timestamp at which the request is sent (in UTC).

Typically, this value is nearly identical to timestamp. However in some situations there is latency between when the event occurs and when it is sent to Unify.

traits
object
deprecated

Traits for the identify request payload.

company
object

Information about the company associated with the visitor.

person
object

Information about the person associated with the visitor.

Response

The request has succeeded.